import {Component, OnInit} from '@angular/core'
import {FormBuilder, FormControl, FormGroup, Validators} from '@angular/forms'
import {TouchupkitService} from '../../../modules/shared/service/touchupkit.service'

@Component({
  selector: 'cre-touchupkit',
  templateUrl: './touchupkit.component.html',
  styleUrls: ['./touchupkit.component.sass']
})
export class TouchupkitComponent implements OnInit {
  formGroup: FormGroup
  jobControl: FormControl

  constructor(
    private touchUpKitService: TouchupkitService,
    private formBuilder: FormBuilder
  ) {
  }

  ngOnInit(): void {
    this.jobControl = new FormControl(null, Validators.required)
    this.formGroup = this.formBuilder.group({
      job: this.jobControl
    })
  }

  submit() {
    this.touchUpKitService.generateJobPdfDocument(this.jobControl.value)
  }
}
